package exception

// jwt custom error code ,begin:200
var (
	ErrAuthSecret       = Errorf(200, "Auth JwtSecret Error")
	ErrBase64Decode     = Errorf(201, "Auth Token Base64 Decode Error")
	ErrAuthNotFound     = Errorf(202, "Auth Token Not Found")
	ErrAuthParseFail    = Errorf(203, "Auth Parse Fail")
	ErrAuthId           = Errorf(204, "Auth Id Not Passed")
	ErrAuthIdentity     = Errorf(205, "Auth Identity Not Passed")
	ErrAuthTokenChanged = Errorf(206, "Auth Token Changed")
	ErrAuthIdType       = Errorf(207, "Auth Id Type Error")
	ErrAuthExpire       = Errorf(208, "Auth Token Expire")
	ErrAuthClient       = Errorf(209, "Auth Token Client Not Passed")
	ErrJsonDecode       = Errorf(210, "Auth JSON Decode Error")
	ErrJsonEncode       = Errorf(211, "Auth JSON Encode Error")
)
