package vars

import "time"

var (
	// sql options def val
	SqlOptionMaxIdleConns    int           = 64
	SqlOptionMaxOpenConns    int           = 64
	SqlOptionConnMaxLifetime time.Duration = 60 * time.Second
	SqlOptionLogStdout       bool          = true
	SqlOptionDebug           bool          = true

	// sql log def val
	SqlLogStdout  bool = true
	SqlLogDir          = "logs"
	SqlLogFileExt      = "log"
)
